unit uGame3;
//////////////////////////////
// версия 0,4
//////////////////////////////
// модуль игровых инструкций
//////////////////////////////

interface

procedure Game3Init;
procedure Game3Draw;
procedure Game3Process;

implementation

uses uGUI,uGeneralData,uGame,OMEGA,uGameText;

var BNext:tCButton;

    text:tGameText;

procedure Game3Init;
begin

BNext.Init('дальше','buttoncirclnormal','bgotask',scrw-148,scrh-148,true,font);

text.LoadAll(Dfld+gametasks.gametasks[gametasks.nowtask].text);

end;

procedure Game3Draw;
begin

Pr2D_Rect(0,0,scrw,scrh,$8F7052,255,PR_FILL );
Pr2D_Rect(10,10,scrw-20,scrh-20,$6d5030,255,PR_FILL );

text.Draw;

BNext.Draw;

end;

procedure Game3Process;
begin

BNext.Process;

if (col_pointinaabb(mouse_x,mouse_y,@BNext.c1))
 and (mouse_press(m_lbutton)) then begin
  with GameTasks do nowtask:=nowtask+1;
  GameContinue;
 end;

end;

end.
